package com.fjs.scenic.mapper.order;

import java.util.List;
import java.util.Map;

import com.fjs.scenic.entity.order.ErrorOrder;
import org.apache.ibatis.annotations.Param;


public interface ErrorOrderMapper {
    
	int insert(ErrorOrder record);

 	List<ErrorOrder> select(ErrorOrder record);
 	
 	int updateByPrimaryKeySelective(ErrorOrder record);

	void delete(ErrorOrder record);
	
	List<ErrorOrder> selectByJoin(Map<String, String> param);

	List<ErrorOrder> selectByParam(Map<String, String> param);

	void updateByParam(Map<String, String> params);

	void deleteByParam(Map<String, String> params);

	/**根据订单号查询异常订单*/
	List<ErrorOrder> getErrorOrderByOrderNo(@Param("orderNo")String orderNo);
	
	/**查询异常订单*/
	List<ErrorOrder> getErrorOrderByNumlt3();
}